package junit.extensions.eclipse.diff;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

public class JUnitDiffException extends CoreException {

    public JUnitDiffException(Throwable cause) {
        this(cause.getMessage(), cause);
    }
    public JUnitDiffException(IStatus status) {
        super(status);
    }
    public JUnitDiffException(String message) {
        this(new Status(IStatus.ERROR, JUnitDiffPlugin.ID, 0, message, null));
    }
    public JUnitDiffException(String message, Throwable cause) {
        this(new Status(IStatus.ERROR, JUnitDiffPlugin.ID, 0, message, cause));
    }
}
